Subject: Re: [PATCH] macvtap: add ioctl to modify vnet header size

From: "Michael S. Tsirkin" <[email-masked]>
Date: Mon, 3 May 2010 10:55:11 +0300

On Sun, May 02, 2010 at 11:34:39PM -0700, David Miller wrote:
> From: David Miller <[email-masked]>
> Date: Sun, 02 May 2010 23:32:32 -0700 (PDT)
> 
> > From: Arnd Bergmann <[email-masked]>
> > Date: Thu, 29 Apr 2010 16:40:57 +0200
> > 
> >> On Thursday 29 April 2010, Michael S. Tsirkin wrote:
> >>> This adds TUNSETVNETHDRSZ/TUNGETVNETHDRSZ support
> >>> to macvtap.
> >> 
> >> Looks good, thanks Michael!
> >> 
> >>> Signed-off-by: Michael S. Tsirkin <[email-masked]>
> >> 
> >> Acked-by: Arnd Bergmann <[email-masked]>
> > 
> > Applied to net-next-2.6, thanks.
> 
> Nevermind, reverted:
> 
> drivers/net/macvtap.c: In function 'macvtap_ioctl':
> drivers/net/macvtap.c:679:7: error: 'TUNGETVNETHDRSZ' undeclared (first use in this function)
> drivers/net/macvtap.c:679:7: note: each undeclared identifier is reported only once for each function it appears in
> drivers/net/macvtap.c:685:7: error: 'TUNSETVNETHDRSZ' undeclared (first use in this function)
> 
> What tree is this supposed to build under?  Certinaly not net-2.6
> or net-next-2.6

The reason is it needs to be applied on top of the patch that adds the
same header to tun that you acked.  I put this in patch description:
> I plan to merge both patches through vhost tree together
> with mergeable buffer support. Comments?
In other words, this will be included in a pull request that I
intend to send out shortly.

-- 
MST